Bug 623974 - [RFE] Systems with no entitlement can't be selected in the system overview
[RFE] Systems with no entitlement can't be selected in the system overview
Status: NEW
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2010-08-13 06:28 EDT by Sandro Mathys
Modified: 2011-11-11 06:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-08-13 06:28:09 EDT
Description of problem:
If a system has no (management) entitlement, its checkbox is disabled and therefore the system can't be chosen. Therefore it's not possible to use SSM to delete a bunch of unentitled systems.

Version-Release number of selected component (if applicable):
spacewalk-backend-libs-1.0.4-1.el5
spacewalk-branding-1.0.1-1.el5
spacewalk-backend-server-1.0.4-1.el5
spacewalk-backend-xmlrpc-1.0.4-1.el5
spacewalk-backend-package-push-server-1.0.4-1.el5
spacewalk-backend-applet-1.0.4-1.el5
spacewalk-search-1.0.1-1.el5
spacewalk-java-1.0.5-1.el5
spacewalk-client-repo-1.0-2.el5
spacewalk-pxt-1.0.3-1.el5
spacewalk-selinux-1.0.1-1.el5
spacewalk-common-1.0.1-1.el5
spacewalk-config-1.0.1-1.el5
spacewalk-certs-tools-1.0.1-1.el5
spacewalk-backend-sql-1.0.4-1.el5
spacewalk-backend-app-1.0.4-1.el5
spacewalk-backend-iss-export-1.0.4-1.el5
spacewalk-backend-xp-1.0.4-1.el5
spacewalk-doc-indexes-1.0.1-1.el5
spacewalk-taskomatic-1.0.5-1.el5
spacewalk-backend-tools-1.0.4-1.el5
spacewalk-setup-1.0.1-1.el5
spacewalk-sniglets-1.0.3-1.el5
spacewalk-java-lib-1.0.5-1.el5
spacewalk-backend-config-files-common-1.0.4-1.el5
spacewalk-backend-config-files-1.0.4-1.el5
spacewalk-backend-iss-1.0.4-1.el5
spacewalk-java-oracle-1.0.5-1.el5
spacewalk-setup-jabberd-1.0.1-1.el5
spacewalk-base-minimal-1.0.3-1.el5
spacewalk-admin-1.0.1-1.el5
spacewalk-grail-1.0.3-1.el5
spacewalk-monitoring-1.0.1-1.el5
spacewalk-backend-1.0.4-1.el5
spacewalk-java-config-1.0.5-1.el5
spacewalk-backend-xml-export-libs-1.0.4-1.el5
spacewalk-backend-config-files-tool-1.0.4-1.el5
spacewalk-html-1.0.3-1.el5
spacewalk-repo-1.0-2.el5
spacewalk-base-1.0.3-1.el5
spacewalk-schema-1.0.2-1.el5
spacewalk-monitoring-selinux-1.0.1-1.el5
spacewalk-oracle-1.0.1-1.el5


How reproducible:
On the same spacewalk - always. Different spacewalk installations not tested.

Steps to Reproduce:
1. remove entitlement(s) from a system
2. try to select this system in the system overview by checking its box
3.
  
Actual results:
can't check

Expected results:
can check

Additional info:
System overview == Systems > Overview OR Systems > Systems, i.e. happens on both.
Comment 1 Jan Pazdziora 2010-10-27 04:32:03 EDT
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.
Comment 2 Jan Pazdziora 2010-11-19 11:04:42 EST
Mass-moving to space13.
Comment 3 Miroslav Suchý 2011-04-11 03:33:18 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Miroslav Suchý 2011-04-11 03:37:07 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Jan Pazdziora 2011-07-20 07:51:28 EDT
Aligning under space16.
Comment 6 Clifford Perry 2011-08-05 10:03:42 EDT
This is working as designed. SSM tasks *require* Management entitlement to manage the systems. 

This may be closed as something we do not plan to fix/address. Will think on it some more. 

Alternatives is using the entitlement pages to en-mass give entitlements back, before deleting, or using say an API script to en-mass delete systems. 

Cliff
Comment 7 Sandro Mathys 2011-08-05 10:15:58 EDT
I can understand that those systems can't be used in the SSM.

One idea would be, that in the 'unentitled' systems list (https://sw.example.org/rhn/systems/Unentitled.do) you can enable the checkbox (without the systems being added to the SSM) and then re-entitle all selected systems with a button on the bottom of the list. Right now, in this view, the checkboxes are completely useless.

Just another idea :)

Note You need to log in before you can comment on or make changes to this bug.